# Method: services.create

- [HTTP request](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v3/services/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v3/services/create#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v3/services/create#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v3/services/create#body.request_body)
- [Response body](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v3/services/create#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v3/services/create#body.aspect)
- [Try it!](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v3/services/create#try-it)

Create a `Service`.

### HTTP request

`POST https://monitoring.googleapis.com/v3/{parent}/services`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Resource [name](https://cloud.google.com/monitoring/api/v3#project_name) of the parent Metrics Scope. The format is: projects/[PROJECT_ID_OR_NUMBER] |

### Query parameters

| Parameters ||
|---|---|
| `serviceId` | `string` Optional. The Service id to use for this Service. If omitted, an id will be generated instead. Must match the pattern `[a-z0-9\-]+` |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v3/services#Service`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v3/services#Service`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/monitoring`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).